const VERSION* = "2.0.1"

const USAGE* = """
Usage:
  treediff <left> [<right>] [options]
  treediff (-h | --help)
  treediff (-V | --version)

  <left> and <right> represent paths to directory roots to be compared. If one
  of these paths points to a file instead of a directory, treediff assumes that
  the file represents a saved directory analysis to be loaded in place of a
  directory to compare. For example:

      treediff /path/to/dir /path/to/output.json

  will analyze the directory tree at '/path/to/dir' to create the left-side
  analysis and load a pre-existing analysis from '/path/to/output.json' as the
  right-side analysis.

Options:
  -h --help       Show this usage information.
  -V --version    Show the program version.
  -v --verbose    Enable verbose output.
  -q --quiet      Suppress all output and error messages except for the
                  progress indicator.
  -Q --very-quiet Suppress all output and error messages includeing the
                  progress indicator.

  -1 --save-left <left_out>   Save the left analysis to <left_out> (will be
                              formatted as JSON)
  -2 --save-right <right_out> Save the right analysis to <right_out> (will be
                              formatted as JSON)

  -s --same
  -S --exclude-same

      Show or hide information about files which are the same in both trees.

  -c --content-mismatch
  -C --exclude-content-mismatch

      Show or hide information about files whose relative paths are the same
      in both trees but whose contents differ.

  -p --path-mismatch
  -P --exclude-path-mismatch

      Show or hide information about files whose contents are the same in both
      trees but whose relative paths differ.

  -l --left-only
  -L --exclude-left-only

      Show or hide information about files which are found only in the left
      tree.

  -r --right-only
  -R --exclude-right-only

      Show or hide information about files which are found only in the right
      tree.

"""
