import std/streams
import checksums/md5

proc fileToMD5*(filename: string) : string =

  const blockSize: int = 8192 # read files in 8KB chunnks
  var
    c: MD5Context
    d: MD5Digest
    fs: FileStream
    buffer: string

  #read chunk of file, calling update until all bytes have been read
  try:
    fs = filename.open.newFileStream

    md5Init(c)
    buffer = fs.readStr(blockSize)

    while buffer.len > 0:
      md5Update(c, buffer.cstring, buffer.len)
      buffer = fs.readStr(blockSize)

    md5Final(c, d)

  except IOError: echo("File not found.")
  finally:
    if fs != nil:
      close(fs)

  result = $d

when isMainModule:

  if paramCount() > 0:
    let arguments = commandLineParams()
    echo("MD5: ", fileToMD5(arguments[0]))
  else:
    echo("Must pass filename.")
    quit(-1)
